- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# jboss – Deploy applications to JBoss

- Synopsis

- Parameters

- Notes

- See Also

- Examples

- Status

## Synopsis

- Deploy applications to JBoss standalone using the filesystem.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
deploy_path path | Default: "/var/lib/jbossas/standalone/deployments" | The location in the filesystem where the deployment scanner listens.
deployment string / required |  | The name of the deployment.
src path |  | The remote path of the application ear or war to deploy. Required when state=present. Ignored when state=absent.
state string | Choices: present ← absent | Whether the application should be deployed or undeployed.

## Notes

Note

- The JBoss standalone deployment-scanner has to be enabled in standalone.xml

- The module can wait until deployment file is deployed/undeployed by deployment-scanner. Duration of waiting time depends on scan-interval parameter from standalone.xml.

- Ensure no identically named application is deployed through the JBoss CLI

## See Also

See also

WildFly reference

  Complete reference of the WildFly documentation.

## Examples

    - name: Deploy a hello world application to the default deploy_path
      jboss:
        src: /tmp/hello-1.0-SNAPSHOT.war
        deployment: hello.war
        state: present

    - name: Update the hello world application to the non-default deploy_path
      jboss:
        src: /tmp/hello-1.1-SNAPSHOT.war
        deploy_path: /opt/wildfly/deployment
        deployment: hello.war
        state: present

    - name: Undeploy the hello world application from the default deploy_path
      jboss:
        deployment: hello.war
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jeroen Hoekx (@jhoekx)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.